<!--
/*
 *  PlayerUI Copyright (C) 2013 Andrea Coiutti & Simone De Gregori
 *  Tsunamp Team
 *  http://www.tsunamp.com
 *
 *  This Program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3, or (at your option)
 *  any later version.
 *
 *  This Program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RaspyFi; see the file COPYING.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 *
 *  version:	1.1-dev
 * 
 *  Andrea Coiutti (aka ACX)
 *  PlayerUI frontend design - frontend HTML/JS/CSS coding
 * 
 *  Simone De Gregori (aka Orion) 
 *  PlayerUI PHP backend coding - frontend JS coding - OS optimization
 *
 *
 *  RaspyFi Project (C) 2013 Michelangelo Guarise (OS image build/customization)
 *
 *  RaspyFi Logo design (C) 2013 Daniele Busciantella Ricci
 *
 */
-->
<!DOCTYPE html>


<?php
include_once ('lang/common.php');
?>


<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <title>Volumio - <?php echo $lang['PAGE_TITLE']; ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0 user-scalable=no">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/flat-ui.css" rel="stylesheet">
    <link href="css/bootstrap-select.css" rel="stylesheet">
    <link href="css/bootstrap-fileupload.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
	<!--[if lte IE 7]>
		<link href="css/font-awesome-ie7.min.css" rel="stylesheet">
	<![endif]-->
	<?php if ($sezione == 'index') { ?>
	<link href="css/jquery.countdown.css" rel="stylesheet">
	<?php } ?>
	<!--<link rel="stylesheet" href="css/jquery.mobile.custom.structure.min.css">-->
	<link href="css/jquery.pnotify.default.css" rel="stylesheet">
	<link rel="stylesheet" href="css/panels.css">
    <link rel="shortcut icon" href="images/favicon.png" type="image/png">

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements. All other JS at the end of file. -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.js"></script>
    <![endif]-->

    <!-- allows removal of the mobile safari window dressing when
         added to the home screen of an iOS app. Also requires
         link.js which is included below -->
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <link rel="apple-touch-icon" href="/images/apple-touch-icon.png">

    <!-- added for themes support -->
    <!-- TIHS IS THE DEFAULT THEME AND MAIN CSS IT IS ALWAYS IN USE AND IS LOADED ON FIRST USE        -->
    <link rel="stylesheet" type="text/css" media="screen" href="css/volumio.css">
    <!-- THESE ARE THE SELECTABLE ALTERNATE THEMES AND ARE LOADED AFTER THE DEFAULT THEME             -->
    <link rel="color stylesheet" type="text/css" media="screen" title="default" href="css/default2d.css">
    <link rel="color stylesheet" type="text/css" media="screen" title="red2d" href="css/theme_red2d.css">
    <link rel="color stylesheet" type="text/css" media="screen" title="ylw2d" href="css/theme_ylw2d.css">
    <link rel="color stylesheet" type="text/css" media="screen" title="pnk2d" href="css/theme_pnk2d.css">
    <link rel="color stylesheet" type="text/css" media="screen" title="grn2d" href="css/theme_grn2d.css">
    <link rel="color stylesheet" type="text/css" media="screen" title="blu2d" href="css/theme_blu2d.css">
    <link rel="overlay stylesheet" type="text/css" media="screen" title="overlay" href="css/overlay.css">
    <link rel="overlay stylesheet" type="text/css" media="screen" title="flat" href="css/blank.css">
    <link rel="fade stylesheet" type="text/css" media="screen" title="fade" href="css/fades.css">
    <link rel="fade stylesheet" type="text/css" media="screen" title="nofade" href="css/blank.css">
    <script type="text/javascript" src="js/themeselector.js"></script>

</head>
<body class="<?php echo $sezione ?>">
<div class="showintrosplash" id="volumiosplashscreen" style="background-color:#110011;position:absolute;width:100vw;height:100vh;background-image:url('../images/logo.png');background-position:center;background-repeat:no-repeat;background-size:260px;z-index:100;">
</div>
<script type="text/javascript">
  showsplash();
</script>
<div id="menu-top" class="ui-header ui-bar-f ui-header-fixed slidedown" data-position="fixed" data-role="header" role="banner">
	<div class="dropdown">
		<a class="dropdown-toggle" id="menu-settings" role="button" data-toggle="dropdown" data-target="#" href="<?php echo $sezione ?>.php"> <i class="fa fa-wrench"></i> </a>
		<ul class="dropdown-menu" role="menu" aria-labelledby="menu-settings">
			<li class="<?php ami('index'); ?>"><a href="index.php#1"><i class="fa fa-play sx"></i> <?php echo $lang['MENU_MAIN'] ?></a></li>
			<li class="<?php ami('sources'); ?>"><a href="sources.php#1"><i class="fa fa-folder-open sx"></i> <?php echo $lang['MENU_LIBRARY'] ?></a></li>
			<li class="<?php ami('mpd-config'); ?>"><a href="mpd-config.php#1"><i class="fa fa-cogs sx"></i> <?php echo $lang['MENU_PLAYBACK'] ?></a></li>
			<li class="<?php ami('net-config'); ?>"><a href="net-config.php#1"><i class="fa fa-sitemap sx"></i> <?php echo $lang['MENU_NETWORK'] ?></a></li>
			<li class="<?php ami('settings'); ?>"><a href="settings.php#1"><i class="fa fa-wrench sx"></i> <?php echo $lang['MENU_SYSTEM'] ?></a></li>
			<li class="<?php ami('credits'); ?>"><a href="credits.php#1"><i class="fa fa-trophy sx"></i> <?php echo $lang['MENU_CREDITS'] ?></a></li>
			<li><a href="#poweroff-modal" data-toggle="modal"><i class="fa fa-power-off sx"></i> <?php echo $lang['MENU_POWER'] ?></a></li>
		</ul>
	</div>
	<div class="playback-controls">
		<button id="previous" class="btn btn-cmd" title="Previous"><i class="fa fa-step-backward"></i></button>
		<button id="stop" class="btn btn-cmd" title="Stop"><i class="fa fa-stop"></i></button>
		<button id="play" class="btn btn-cmd" title="Play/Pause"><i class="fa fa-play"></i></button>
		<button id="next" class="btn btn-cmd" title="Next"><i class="fa fa-step-forward"></i></button>
	</div>
	<a class="home" href="index.php"><img src="images/logo.png" class="logo" alt="RaspyFi"></a>
        <!-- ADDED TO ENABLE TIMEKNOB AND VOLUMEKNOB COLOURS. ALSO STRINGS FOR JS TRANSLATIONS -->
        <button id="dummyknobs" data-pl-add="<?php echo $lang['TXT_PL_ADD']; ?>" data-pl-rem="<?php echo $lang['TXT_PL_REM']; ?>" data-pl-cleared="<?php echo $lang['TXT_PL_CLEARED']; ?>" data-update-path="<?php echo $lang['TXT_UPDATE_PATH']; ?>" data-pl-saved="<?php echo $lang['TXT_PL_SAVED']; ?>" data-pl-name="<?php echo $lang['TXT_PL_NAME']; ?>" data-mono="<?php echo $lang['TXT_MONO']; ?>" data-stereo="<?php echo $lang['TXT_STEREO']; ?>" data-ppos="<?php echo $lang['TXT_PLAYLIST_POSITION']; ?>" data-show="<?php echo $lang['SRCS_SHOW_OPTS']; ?>" data-hide="<?php echo $lang['SRCS_HIDE_OPTS']; ?>" data-result="<?php echo $lang['DATA_RESULT']; ?>" data-results="<?php echo $lang['DATA_RESULTS']; ?>" data-tab-browse="<?php echo $lang['TAB_BROWSE']; ?>" data-tab-browse-updating="<?php echo $lang['TAB_BROWSE_UPDATING']; ?>" data-btn-back="<?php echo $lang['BTN_BACK']; ?>" data-title="<?php echo $lang['PAGE_TITLE']; ?>"></button>
</div>
<div id="menu-bottom" class="ui-footer ui-bar-f ui-footer-fixed slidedown" data-position="fixed" data-role="footer"  role="banner">
	<ul>
		<?php if ($sezione == 'index') { ?>
		<li id="open-panel-sx"><a href="#panel-sx" class="open-panel-sx" data-toggle="tab"><i class="fa fa-music sx"></i> <?php echo $lang['TAB_BROWSE'] ?></a></li>
		<li id="open-panel-lib"><a href="#panel-lib" class="open-panel-lib" data-toggle="tab"><i class="fa fa-columns sx"></i> <?php echo $lang['TAB_LIBRARY'] ?></a></li>
		<li id="open-playback" class="active"><a href="#playback" class="close-panels" data-toggle="tab"><i class="fa fa-play sx"></i> <?php echo $lang['TAB_PLAYBACK'] ?></a></li>
		<li id="open-panel-dx"><a href="#panel-dx" class="open-panel-dx" data-toggle="tab"><i class="fa fa-list sx"></i> <?php echo $lang['TAB_PLAYLIST'] ?></a></li>
		<?php } else { ?>
		<li id="open-panel-sx"><a href="index.php#panel-sx" class="open-panel-sx"><i class="fa fa-music sx"></i> <?php echo $lang['TAB_BROWSE'] ?></a></li>
		<li id="open-panel-lib"><a href="index.php#panel-lib" class="open-panel-lib"><i class="fa fa-columns sx"></i> <?php echo $lang['TAB_LIBRARY'] ?></a></li>
		<li id="open-playback"><a href="index.php#playback" class="close-panels"><i class="fa fa-play sx"></i> <?php echo $lang['TAB_PLAYBACK'] ?></a></li>
		<li id="open-panel-dx"><a href="index.php#panel-dx" class="open-panel-dx"><i class="fa fa-list sx"></i> <?php echo $lang['TAB_PLAYLIST'] ?></a></li>
		<?php } ?>
	</ul>
</div>
